<?php declare(strict_types=1);

namespace Newland\Toubiz\Sync\Neos\Tests\Unit\Importer\Mock;

use Newland\Toubiz\Api\ObjectAdapter\AttributeAdapterInterface;

class AttributeAdapterMock implements AttributeAdapterInterface
{

    public $properties = [];

    public function __construct(array $properties)
    {
        $this->properties = $properties;
    }

    public function getName()
    {
        return $this->properties['name'] ?? '';
    }

    public function getData()
    {
        return $this->properties['data'] ?? [];
    }

    public function getGroupId()
    {
        return $this->properties['groupId'] ?? '';
    }

    public function getExternalId(): string
    {
        return $this->properties['externalId'] ?? '';
    }
}
